← Tabeller
Rensa

Scotland

Women's Caledonia Midlands/East Region League Division 1

#LagPWDLPDBPPtsForm
1Howe of Fife RFC5401+217521WWWWL
2Broughton RFC4310+60317WWDW
3Lismore RFC5302+75416LWWLW
4Grangemouth Stags RFC4112-714WLLD
5Dundee Valkyries 2nd XV3102-13812LLW
6Hillfoots Vixens5005-20700LLLLL

Källa: Scottish Rugby · kontrollerad 14 okt. 16:52 · Form: de fem senaste resultaten vi har, senaste till höger.

Matcher och resultat →

Varje tabell är ligans egen publicerade ställning, med bonuspoäng, poängavdrag och särskiljningsregler. BP visas där ligan publicerar det; annars ingår det redan i Pts.